//
//  DiscreteEstimatorBayes.h
//  AroniSmartLytics
//
//  Created by felicien kanyamibwa on 4/23/14.
//  Copyright (c) 2014 AroniSoft LLC. All rights reserved.
//

#import "DiscreteEstimatorBayes.h"

@interface DiscreteEstimatorFullBayes : DiscreteEstimatorBayes {
  


}
/**
 * Constructor
 *
 * @param nSymbols the number of possible symbols (remember to include 0)
 * @param w1
 * @param w2
 * @param EmptyDist
 * @param ClassDist
 * @param fPrior
 */
-(void) discreteEstimatorFullBayes:(NSInteger) nSymbols w1: (CGFloat) w1 w2: (CGFloat) w2
                        emptyDist: (DiscreteEstimatorBayes*) EmptyDist
                         classDist: (DiscreteEstimatorBayes*) ClassDist fPrior: (CGFloat) fPrior;


@end
